GET/vopgateway/v1/bulk/{taskId}
Bulk Results Request API Specification
This chapter provides detailed information on how to retrieve the results of a bulk request. The results file can only be accessed after the status of the bulk request has been updated to 'PROCESSED'. The response to this request is returned in NDJSON format, containing the finalized data for the completed bulk operation. You can read about the error status and codes here.
Document History
Expand to view the version history.
| Version | Date | Description |
|---|---|---|
| 1.0 | 15 Jan 2025 | Original Digital Version. Aligned with PDF V1.0 |
| 1.1 | 20 Feb 2025 | Updated Language in requeste header from ISO639 to ISO639-1 |
| 2.0 | 20 Mar 2025 | Format changes, aligned with VoP single check API. Refer to the detailed changes here. |
| 2.1 | 16 Apr 2025 | Updated 'fraudRiskIndicator' type from 'Object' to 'Array of Objects' and added the following new headers: X-End-User, X-Software-Supplier and X-Channel |
| 2.2 | 16 Jun 2025 | Updated description for detailedMatchResult field. |
| 2.3 | 21 Jul 2025 | Name too short example updated. Removed Content-Type from headers. Accept Header updated to optional, default value added. |
Go directly to
Expand to view the table of contents.
Request
Request Headers
X-Request-IdStringMandatoryAuthorizationStringMandatoryAcceptStringOptionalAccept-LanguageStringOptionalX-End-UserStringOptionalX-Software-SupplierStringOptionalX-ChannelStringOptional
Example of Request headers
| Header name | Example |
|---|---|
| X-Request-Id | 123e4567-e89b-12d3-a456-426614174000 |
| Authorization | Bearer <your bearer token> |
| Accept | application/x-ndjson |
| Accept-Language | en |
| X-End-User | FinanceDepartment |
| X-Software-Supplier | SupplierA |
| X-Channel | Web |
Request Body
This endpoint does not require a request body. The taskId is passed as a path parameter.
taskIdStringMandatory
Request
GET
/vopgateway/v1/bulk/taskIdGET /vopgateway/v1/bulk/12930484-129284501-ecernb
Response
The response is an NDJSON file.
- Successful response (HTTP 200 - described below)
- Error response (HTTPXXX - described in Errors)
Response Headers
X-Request-IdStringMandatoryContent-DispositionStringMandatory
Example of Response headers
| Header name | Example |
|---|---|
| X-Request-Id | 123e4567-e89b-12d3-a456-426614174000 |
| Content-Disposition | taskId.ndjson |
Response Body
uetrStringMandatorypartyNameMatchEnumConditionalpartyIdMatchEnumConditionalmatchedNameStringConditionaladditionalPartyInformationObjectConditional
Response
{"uetr": "2f01983c-a558-445c-8728-dba547d2ff8b", "partyNameMatch": "MTCH"}